package org.wso2.usermanager.custom.jdbc;


public class JDBCRealmConfig{
	
	protected String userTable = null;
	protected String userNameColumn = null;
	protected String userCredentialColumn = null;
	protected String connectionURL = null;
	protected String driverName = null;
	protected String connectionUserName = null;
	protected String connectionPassword = null;
	protected String columnNames = null;
	protected int[] columnTypes = new int[0];
	
	
	protected String roleTable = null;
	protected String roleNameColumn = null;
	
	
	public JDBCRealmConfig(){
		
	}
	
	public JDBCRealmConfig(JDBCRealmConfig config){
		userTable = new String(config.getUserTable());
		userNameColumn = new String(config.getUserNameColumn());
		userCredentialColumn = new String(config.getUserCredentialColumn());
		connectionURL = new String(config.getConnectionURL());
		driverName = new String(config.getDriverName());
		connectionUserName = new String(config.getConnectionUserName());
		connectionPassword = new String(config.getConnectionPassword());
		columnNames = config.columnNames;
		
		int[] colTypes = config.getColumnTypes();
		columnTypes = new int[colTypes.length];
		for(int i=0;i<columnTypes.length;i++){
			columnTypes[i] = colTypes[i];
		}
		
	}
	
	public String getColumnNames() {
		return columnNames;
	}
	public String getConnectionUserName() {
		return connectionUserName;
	}
	public String getConnectionPassword() {
		return connectionPassword;
	}
	public String getConnectionURL() {
		return connectionURL;
	}
	public String getDriverName() {
		return driverName;
	}
	public String getUserCredentialColumn() {
		return userCredentialColumn;
	}
	public String getUserNameColumn() {
		return userNameColumn;
	}
	public String getUserTable() {
		return userTable;
	}
	public void setColumnNames(String columnNames) {
		this.columnNames = columnNames;
	}
	public void setConnectionUserName(String connectionName) {
		this.connectionUserName = connectionName;
	}
	public void setConnectionPassword(String connectionPassword) {
		this.connectionPassword = connectionPassword;
	}
	public void setConnectionURL(String connectionURL) {
		this.connectionURL = connectionURL;
	}
	public void setDriverName(String driverName) {
		this.driverName = driverName;
	}
	public void setUserCredentialColumn(String userCredentialCol) {
		this.userCredentialColumn = userCredentialCol;
	}
	public void setUserNameColumn(String userNameCol) {
		this.userNameColumn = userNameCol;
	}
	public void setUserTable(String userTable) {
		this.userTable = userTable;
	}

	public int[] getColumnTypes() {
		return columnTypes;
	}

	public void setColumnTypes(int[] columnTypes) {
		this.columnTypes = columnTypes;
	}

	public String getRoleNameColumn() {
		return roleNameColumn;
	}

	public String getRoleTable() {
		return roleTable;
	}

	public void setRoleNameColumn(String roleNameCol) {
		this.roleNameColumn = roleNameCol;
	}

	public void setRoleTable(String roleTable) {
		this.roleTable = roleTable;
	}
	
	
}