package org.wso2.usermanager.custom.ldap;

import java.util.StringTokenizer;

import javax.xml.namespace.QName;


public class LDAPRealmConfig{

	private String connectionUrl = null;
	private String connectionName = null; 
	private String connectionPass = null;
	private String[] attributeIds = new String[0];
	private String userPattern = null;
	
	public LDAPRealmConfig(){
		
	}
	
	public LDAPRealmConfig(LDAPRealmConfig config){
		connectionUrl = new String(config.getConnectionUrl());
		connectionName = new String(config.getConnectionName()); 
		connectionPass = new String(config.getConnectionPass());
		userPattern = new String(config.getUserPattern());
		String[] eattributeIds = config.getAttributeIds();
		attributeIds = new String[eattributeIds.length];
		for(int i=0;i<eattributeIds.length;i++){
			attributeIds[i] = new String(eattributeIds[i]);
		}

	}
	
	public String[] getAttributeIds() {
		return attributeIds;
	}
	public void setAttributeIds(String[] attributeIds) {
		attributeIds = attributeIds;
	}
	public String getConnectionName() {
		return connectionName;
	}
	public String getConnectionPass() {
		return connectionPass;
	}
	public String getConnectionUrl() {
		return connectionUrl;
	}
	public String getUserPattern() {
		return userPattern;
	}
	
	public void setConnectionName(String connectionName) {
		this.connectionName = connectionName;
	}
	public void setConnectionPass(String connectionPass) {
		this.connectionPass = connectionPass;
	}
	public void setConnectionUrl(String connectionUrl) {
		this.connectionUrl = connectionUrl;
	}
	public void setUserPattern(String userPattern) {
		this.userPattern = userPattern;
	}
	
		
	private void loadAttributeIds(String value){
		StringTokenizer fldTokens = new StringTokenizer(value, ",", false);
		int iCount = fldTokens.countTokens();
		attributeIds = new String[iCount];
		for(int i=0; i<iCount; i++){
			String fld = (fldTokens.nextToken()).trim();
			attributeIds[i] = fld;
		}
	}

}
